Main Page Widgets Namespaces Book

# Glib::Value< long > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< long >:

[legend]
List of all members.

## Public Types

typedef long | CppType
typedef glong | CType

## Public Member Functions

void | set (long data)
long | get () const

## Static Public Member Functions

GType | value_type () G_GNUC_CONST

### template<>
class Glib::Value< long >

## Member Typedef Documentation

typedef long Glib::Value<long>::CppType

typedef glong Glib::Value<long>::CType

## Member Function Documentation

long Glib::Value<long>::get | ( |  | ) | const

void Glib::Value<long>::set | ( | long | data | ) |

GType Glib::Value<long>::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- value_basictypes.h